=== debian/changelog ===
fonts-freefont (20120503-4) unstable; urgency=low

  * Also re-introduce "Provides" ttf-freefont|otf-freefont

 -- Christian Perrier <bubulle@debian.org>  Sat, 08 Feb 2014 07:50:46 +0100

fonts-freefont (20120503-3) unstable; urgency=low

  * Re-introduce transitional packages. Closes: #737965

 -- Christian Perrier <bubulle@debian.org>  Fri, 07 Feb 2014 12:05:01 +0100

fonts-freefont (20120503-2) unstable; urgency=low

  * Use git for packaging: adapt Vcs-* fields
  * Update Standards to 3.9.4 (checked)
  * Add Multi-Arch: foreign field
  * Drop "Provides" as it is no
    longer needed (installations should have transitioned since wheezy
    and the package has anyway no reverse dependency.
  * Use xz extreme compression for deb packages
  * Drop ttf-freefont and otf-freefont transitional packages

 -- Christian Perrier <bubulle@debian.org>  Sat, 03 Aug 2013 18:56:39 +0200

fonts-freefont (20120503-1) unstable; urgency=low

  [ Christian Perrier ]
  * New upstream release
    + Fixes "Glyphs for U+2293 (square cap) and U+2294 (square cup) inverted"
      Closes: #659527
    + Removes accidentally included Untitled1.ttf
      Closes: #662924
    + Fixes "Strange glyphs for some chars in Control Pictures block"
      Closes: #632746
  * Rename source package to "fonts-freefont" to fit the Font
    Packages Naming Policy.
  * Bump debhelper compatibility to 9
  * Bump Standards to 3.9.3 (checked)

  [ Fabian Greffrath ]
  * Add myself to Uploaders.
  * Update debian/watch file.
  * Fix FTBFS twice in a row by properly using dh_auto_clean
    Closes: #662930
  * Adapt to the build system provided in the upstream tarball.
  * Remove some obsolete debhelper files.
  * Move debian/preinst to fonts-freefont-ttf.preinst.
  * Remove XC-Prefix from Package-Type field in debian/control.

 -- Christian Perrier <bubulle@debian.org>  Wed, 09 May 2012 23:47:37 +0200

ttf-freefont (20100919-1) unstable; urgency=low

  * New upstream release (Closes: #599151, #610849)
  * Remove dependencies on x-ttcidfont-conf and reflect the change in
    README.Debian as well
  * debian/copyright: add Steve White as current upstream maintainer 
  * debian/control: 
     - Bump Standards-Version to 3.9.1 (no changes needed)
     - Build-Depends-Indep set to "fontforge-nox | fontforge" to unburden
       buildds. Drop also version restriction (>= 0.0.20080330)
  * debian/scripts/FreeSans-strip: strip more ranges from the udeb:
    - Cherokee (u13A0:u13FF)
    - Unified Canadian Aboriginal Syllabics (u1400:u167F)
    - Unified Canadian Aboriginal Syllabics Extended (u18B0:u18FF)
    - Tifinagh (u2D30:u2D7F)
    - Vai (uA500:uA63F)
    - Latin Extended-D (uA720:uA7FF)
    - Osmanya (u10480:u104AF)

 -- Davide Viti <zinosat@tiscali.it>  Mon, 07 Feb 2011 22:11:27 +0100

ttf-freefont (20090104-7) unstable; urgency=low

  [Rogério Brito]
  * Update the version of the GPL (Closes: #576146)
  * Update the years of copyright
  * Delete trailing whitespace

  [ Davide Viti ]
  * Prepare new release
  * debian/control: Bump Standards-Version to 3.8.4 (no changes needed)

 -- Davide Viti <zinosat@tiscali.it>  Tue, 06 Apr 2010 21:24:25 +0200

ttf-freefont (20090104-6) unstable; urgency=low

  [ Jan Dittberner ]
  * Add binary package otf-freefont providing OpenType versions of the
    fonts (Closes: #575729)
    - add debian/otf-freefont.dirs, debian/otf-freefont.docs,
      debian/otf-freefont.install, debian/scripts/ConvertOTFont.ff
    - call ConvertOTFont.ff in debian/scripts/convertfonts.sh
    - add OTF related lines to debian/rules
    - add new binary package stanza to debian/control
  * Set debhelper dependency version to (>= 7.0.50~) to fix lintian
    warning

  [ Davide Viti ]
  * Prepare new release

 -- Davide Viti <zinosat@tiscali.it>  Mon, 29 Mar 2010 22:58:41 +0200

ttf-freefont (20090104-5) unstable; urgency=low

  [ Christian Perrier ]
  * Switch to debhelper v7
  * Use a minimal debian/rules file
  * Switch to 3.0 (quilt) source format
  * As a consequence of the above, no longer build-depend on quilt and cdbs
  * Add ${misc:Depends} to dependencies to properly cope with
    debhelper-triggerred dependencies
  * Add myself as Uploader
  * Update Standards to 3.8.3 (checked)

  [ Davide Viti ]
  * Remove defoma hints files and dependency on defoma

 -- Davide Viti <zinosat@tiscali.it>  Mon, 30 Nov 2009 21:04:49 +0100

ttf-freefont (20090104-4) unstable; urgency=low

  * debian/control: change source section to "fonts"

 -- Davide Viti <zinosat@tiscali.it>  Sat, 25 Jul 2009 14:21:22 +0200

ttf-freefont (20090104-3) unstable; urgency=low

  * scripts/strip_glyphs.pe: re-encode as "unicodeFull" as to
    deal with glyphs in ranges > uFFFF
  * scripts/FreeSans-strip: simplify stripping glyphs in high ranges (>
    uFFFF) taking advantage of new version of strip_glyphs.pe
  * Really strip Ugaritic, Old Persian and Phoenician out of the udeb
  * debian/control: Bump Standards-Version to 3.8.2
  * Bump Build-Depends on debhelper to 5.0.42: replace binary-install
    with install in debian/rules to fix building with DH_COMPAT>=5

 -- Davide Viti <zinosat@tiscali.it>  Sat, 11 Jul 2009 15:31:16 +0200

ttf-freefont (20090104-2) unstable; urgency=low

  * Upload to unstable

 -- Davide Viti <zinosat@tiscali.it>  Tue, 24 Feb 2009 21:56:48 +0100

ttf-freefont (20090104-1) experimental; urgency=low

  * New upstream release (Closes: #509858)
  * Fix wrong upstream URLs
    - debian/watch
    - debian/control
    - debian/copyright
  * debian/control: fix lintian warning about missing ${misc:Depends}
    in binary entries
  * debian/scripts/FreeSans-strip: strip more ranges from the udeb:
    - Alphabetic Presentation Forms (uFB00:uFB4F)
    - Phoenician (u10900:u1091F)
  * Perform glyph stripping on the sfd files rather than on the ttf like we
    do on ttf-dejavu: seems much cleaner and avoids problems with Indic
    scripts which got rendered badly (probably because of a Fontforge bug)

