=== debian/control ===
Source: fonts-freefont
Section: fonts
Priority: optional
Maintainer: Debian Fonts Task Force <pkg-fonts-devel@lists.alioth.debian.org>
Build-Depends: debhelper (>= 9~)
Build-Depends-Indep: fontforge-nox | fontforge
Standards-Version: 3.9.4
Uploaders: Davide Viti <zinosat@tiscali.it>, Christian Perrier <bubulle@debian.org>, Fabian Greffrath <fabian+debian@greffrath.com>
Vcs-Git: git://anonscm.debian.org/pkg-fonts/fonts-freefont.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-fonts/fonts-freefont.git;a=summary
Homepage: http://savannah.gnu.org/projects/freefont/

Package: fonts-freefont-ttf
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Replaces: ttf-freefont (<< 20120503-1)
Breaks: ttf-freefont (<< 20120503-1)
Provides: ttf-freefont
Description: Freefont Serif, Sans and Mono Truetype fonts
 Freefont is a set of free high-quality TrueType fonts covering the UCS
 character set. These fonts are similar to the widely known Helvetica,
 Times and Courier fonts.

Package: fonts-freefont-otf
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Replaces: otf-freefont (<< 20120503-1)
Breaks: otf-freefont (<< 20120503-1)
Provides: otf-freefont
Description: Freefont Serif, Sans and Mono OpenType fonts
 Freefont is a set of free high-quality OpenType fonts covering the UCS
 character set. These fonts are similar to the widely known Helvetica,
 Times and Courier fonts.

Package: fonts-freefont-udeb
Section: debian-installer
Provides: ttf-installer
Package-Type: udeb
Architecture: all
Description: Freefont Sans fonts for the graphical installer

Package: ttf-freefont
Depends: fonts-freefont-ttf, ${misc:Depends}
Architecture: all
Priority: extra
Section: oldlibs
Description: transitional dummy package
 This package is a dummy transitional package. It can be safely removed.

Package: otf-freefont
Depends: fonts-freefont-otf, ${misc:Depends}
Architecture: all
Priority: extra
Section: oldlibs
Description: transitional dummy package
 This package is a dummy transitional package. It can be safely removed.
