=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- ttf otf
	# Strip the fonts for the udeb
	sh debian/scripts/stripfonts.sh

override_dh_auto_clean:
	$(RM) -fr TTF-stripped udeb-sfd
	dh_auto_clean

override_dh_auto_test:
#	$(MAKE) tests

override_dh_builddeb:
	dh_builddeb -- -Zxz -Sextreme -z9
