=== debian/changelog ===
fonts-freefont (20211204+svn4273-4) unstable; urgency=medium

  * Team upload.
  * Rebuild against fixed fontforge that depends on python3-pkg-resources
    (Closes: #1095130)

 -- Alexandre Detiste <tchet@debian.org>  Wed, 17 Sep 2025 18:43:12 +0200

fonts-freefont (20211204+svn4273-3) unstable; urgency=medium

  * Team upload.
  * Remove python3-pkg-resources from Build-Depends-Indep. (Closes: #1095130)
  * Bump Standards-Version to 4.7.2.
  * Drop "Rules-Requires-Root: no": this is now the default

 -- Alexandre Detiste <tchet@debian.org>  Wed, 17 Sep 2025 12:42:09 +0200

fonts-freefont (20211204+svn4273-2) unstable; urgency=medium

  * Bump Standards-Version to 4.6.2.
  * Upload to unstable.

 -- Fabian Greffrath <fabian@debian.org>  Tue, 13 Jun 2023 14:14:06 +0200

fonts-freefont (20211204+svn4273-1) experimental; urgency=medium

  [ Debian Janitor ]
  * Add missing ${misc:Depends} to Depends for fonts-freefont-udeb.
  * Use secure URI in debian/watch.
  * Use secure URI in Homepage field.
  * Bump debhelper from old 11 to 13.
  * Set debhelper-compat version in Build-Depends.
  * Fix day-of-week for changelog entry 20051206-1.
  * Set Multi-Arch: foreign on package fonts-freefont-udeb.
  * Update standards version to 4.1.5, no changes needed.

  [ Fabian Greffrath ]
  * New upstream version 20211204+svn4273.
  * Remove all patches, they don't apply anymore.
  * Update debian packaging copyright.
  * Update source lintian overrides.
  * Update debian/watch file.
  * Bump Standards-Version to 4.6.1.
  * Rules-Requires-Root: no.
  * Add python3-pkg-resources to Build-Depends-Indep.
  * Drop Multi-Arch entry from udeb stanza.
  * Run "wrap-and-sort -bast".

  * Upload to experimental.

 -- Fabian Greffrath <fabian@debian.org>  Tue, 17 Jan 2023 14:22:35 +0100

fonts-freefont (20120503-10) unstable; urgency=medium

  * debian/patches/build_python3_syntax.patch:
    - updated the build scripts syntax to be compatible with python3,
      fixed the build on Ubuntu focal

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 15 Jan 2020 12:50:26 +0100

fonts-freefont (20120503-9) unstable; urgency=medium

  * Fix the appearance of the Slovak glyphs.

 -- Andrej Shadura <andrewsh@debian.org>  Mon, 21 Jan 2019 14:47:57 +0100

fonts-freefont (20120503-8) unstable; urgency=medium

  [ Andrew Shadura ]
  * Place glyphs for U+2E2A U+2E2B U+2E2C into their proper locations
    (Closes: #872472)

  [ Fabian Greffrath ]
  * Remove Christian Perrier from Uploaders, sorry to see you go
    (Closes: #895172).
  * Convert debian/copyright to machine-readable format and update
    license information as per upstream SVN r3855 (Closes: #891861).
    Add all previous package uploaders to copyright holders for
    debian/* and set license to GPL-3+, packaging is a derived
    work after all.
  * Bump debhelper compat to 11.
  * Bump Standards-Version to 4.1.4.
  * Update Vcs-* fields to point to salsa.
  * Actually apply Andrew Shadura's patch.
  * Use secure debian/copyright format URI.
  * Remove trailing whitespace from debian/changelog.
  * Add lintian overrides for a license paragraph in debian/copyright
    that only applies to generated files.

 -- Fabian Greffrath <fabian@debian.org>  Thu, 24 May 2018 21:02:34 +0200

fonts-freefont (20120503-7) unstable; urgency=medium

  * Disable obsolete and poorly crafted fontforge version check.
  * Remove all traces of the transitional {ttf,otf}-freefont packages,
    (Closes: #878488).
  * Remove fonts-freefont-ttf.preinst file, does not apply anymore.
  * Bump debhelper compat to 10.
  * Bump Standards-Version to 4.1.1.

 -- Fabian Greffrath <fabian@debian.org>  Fri, 20 Oct 2017 21:09:33 +0200

fonts-freefont (20120503-6) unstable; urgency=medium

  * Team upload.
  * Fix incomplete patch for the Braille fix (Closes: #848019).

 -- Adam Borowski <kilobyte@angband.pl>  Tue, 13 Dec 2016 13:45:54 +0100

fonts-freefont (20120503-5) unstable; urgency=medium

  * Thanks Adam Borowski for the following two patches:
    + Fix reversed floorleft and floorright in FreeSans (Closes: #704022).
    + Drop broken Braille range (Closes: #823029).
  * Change Uploaders field to my Debian account.
  * Do not override compression in dh_builddeb anymore.
  * Bump Standards-Version to 3.9.8.
  * Fix vcs-field-uses-insecure-uri lintian warnings.
  * Fix command-with-path-in-maintainer-script lintian warning.

 -- Fabian Greffrath <fabian@debian.org>  Thu, 24 Nov 2016 21:17:36 +0100
