=== debian/control ===
Source: fonts-freefont
Section: fonts
Priority: optional
Maintainer: Debian Fonts Task Force <pkg-fonts-devel@lists.alioth.debian.org>
Build-Depends:
 debhelper-compat (= 13),
Build-Depends-Indep:
 fontforge-nox (>> 1:20230101~dfsg-7~) | fontforge (>> 1:20230101~dfsg-7~),
Standards-Version: 4.7.2
Uploaders:
 Davide Viti <zinosat@tiscali.it>,
 Fabian Greffrath <fabian@debian.org>,
Vcs-Git: https://salsa.debian.org/fonts-team/fonts-freefont.git
Vcs-Browser: https://salsa.debian.org/fonts-team/fonts-freefont
Homepage: https://savannah.gnu.org/projects/freefont/

Package: fonts-freefont-otf
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Description: Freefont Serif, Sans and Mono OpenType fonts
 Freefont is a set of free high-quality OpenType fonts covering the UCS
 character set. These fonts are similar to the widely known Helvetica,
 Times and Courier fonts.

Package: fonts-freefont-ttf
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Description: Freefont Serif, Sans and Mono Truetype fonts
 Freefont is a set of free high-quality TrueType fonts covering the UCS
 character set. These fonts are similar to the widely known Helvetica,
 Times and Courier fonts.

Package: fonts-freefont-udeb
Section: debian-installer
Provides:
 ttf-installer,
Package-Type: udeb
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Description: Freefont Sans fonts for the graphical installer
