=== debian/rules ===
--- 
+++ 
@@ -14,6 +14,3 @@
 
 override_dh_auto_test:
 #	$(MAKE) tests
-
-override_dh_builddeb:
-	dh_builddeb -- -Zxz -Sextreme -z9
