=== debian/watch ===
version=4

https://ftp.gnu.org/gnu/freefont/freefont-src-@ANY_VERSION@@ARCHIVE_EXT@
